package md

import "github.com/shopspring/decimal"

var (
	WithdrawalCommissionFee = decimal.NewFromFloat(0.15) //提现手续费
	WithdrawalDestroyFee    = decimal.NewFromFloat(0.05) //提现销毁增值积分比例
	WithdrawalRefluxFee     = decimal.NewFromFloat(0.10) //提现回流增值积分比例
)

type DealWithdrawalAndDestroyResp struct {
	TransferOut  float64 `json:"transfer_out"`
	AmountOut    float64 `json:"amount_out"`
	DestroyValue float64 `json:"destroy_value"`
	RefluxValue  float64 `json:"reflux_value"`
}
